package com.pcloud.book.advertising.dao;

import com.pcloud.book.advertising.entity.AdvertisingBrandBook;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2020/4/16 14:00
 **/
public interface AdvertisingBrandBookDao extends BaseDao<AdvertisingBrandBook> {
    void deleteByBookId(Long bookId);

    Integer batchInsert(List<AdvertisingBrandBook> list);

    void deleteByBookIds(List<Long> bookIds);

    List<AdvertisingBrandBook> getByBookIds(List<Long> bookIds);

    List<Long> getBookIdsByAdvertisingBrandId(Long advertisingBrandId);

    void deleteByAdvertisingBrandId(Long advertisingBrandId);
}
